Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_UDP_EH Class Reference

Event Handler for UDP messages. More...

`#include <EC_Gateway_UDP.h>`

Inheritance diagram for TAO_ECG_UDP_EH:

[legend]
Collaboration diagram for TAO_ECG_UDP_EH:

[legend]
List of all members.

## Public Methods
| TAO_ECG_UDP_EH (TAO_ECG_UDP_Receiver *recv)
int | open (const ACE_INET_Addr &ipaddr, int reuse_addr=0)
| Open the datagram and register with this->reactor(). More...
int | close (void)
| Close the datagram and unregister with the reactor. More...
ACE_SOCK_Dgram & | dgram (void)
| Obtain the dgram, this is one of those "controlled violations of type safety", allowing the user to setup options and gain access to low-level features. More...
virtual int | handle_input (ACE_HANDLE fd)
virtual ACE_HANDLE | get_handle (void) const
## Private Attributes
ACE_SOCK_Dgram | dgram_
| The datagram used to receive the data. More...
TAO_ECG_UDP_Receiver * | receiver_
| We callback to this object when a message arrives. More...

## Detailed Description

Event Handler for UDP messages.

This object receives callbacks from the Reactor when data is available on a UDP socket, it forwards to the ECG_UDP_Receiver which reads the events and transform it into an event.

## Constructor & Destructor Documentation

TAO_ECG_UDP_EH::TAO_ECG_UDP_EH | ( | TAO_ECG_UDP_Receiver * | recv | ) |

## Member Function Documentation

int TAO_ECG_UDP_EH::close | ( | void |  | ) |

| Close the datagram and unregister with the reactor.

ACE_INLINE ACE_SOCK_Dgram & TAO_ECG_UDP_EH::dgram | ( | void |  | ) |

| Obtain the dgram, this is one of those "controlled violations of type safety", allowing the user to setup options and gain access to low-level features.

ACE_HANDLE TAO_ECG_UDP_EH::get_handle | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_ECG_UDP_EH::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_ECG_UDP_EH::open | ( | const ACE_INET_Addr & | ipaddr,
|  | int | reuse_addr = 0
| ) |

| Open the datagram and register with this->reactor().

## Member Data Documentation

ACE_SOCK_Dgram TAO_ECG_UDP_EH::dgram_`[private]`

| The datagram used to receive the data.

TAO_ECG_UDP_Receiver* TAO_ECG_UDP_EH::receiver_`[private]`

| We callback to this object when a message arrives.

The documentation for this class was generated from the following files:

- EC_Gateway_UDP.h
- EC_Gateway_UDP.cpp
- EC_Gateway_UDP.i